Bug 449261 - yum in F9 does not always clean up /var/run/yum.pid
yum in F9 does not always clean up /var/run/yum.pid
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-01 04:25 EDT by Joachim Backes
Modified: 2014-01-21 18:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 08:12:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2008-06-01 04:25:39 EDT
Description of problem:
I often have a minor problem when starting yum: yum reports an existing lock
/var/run/yum.pid.

Version-Release number of selected component (if applicable):
yum-3.2.14-10.fc9.noarch


How reproducible:
Sometimes

Steps to Reproduce:
1.yum -y update
2.
3.
  
Actual results:
Loaded plugins: fastestmirror, refresh-packagekit
Existing lock /var/run/yum.pid: another copy is running as pid 2898.
Another app is currently holding the yum lock; waiting for it to exit...
Another app is currently holding the yum lock; waiting for it to exit...
Another app is currently holding the yum lock; waiting for it to exit...


Expected results:

no error report.

Additional info:

I'm sure a previous yum run had been finished properly! 
After erasing /var/run/yum.pid, yum runs.
Comment 1 Seth Vidal 2008-06-01 06:36:39 EDT
It is probably packagekit running in the background updating the metadata.

When you look at the /var/run/yum.pid file do you see if there is a program
running that matches the pid in it?
Comment 2 Joachim Backes 2008-06-02 03:38:54 EDT
Immediately after reboot (no yum was running before reboot): 

ps -edalf|grep yum
4 R root      2847  2745  3  80   0 -  6453 -      09:14 ?        00:00:00
/usr/bin/python /usr/share/PackageKit/helpers/yum/get-updates.py none
0 S backes    2850  2834  0  80   0 -   512 pipe_w 09:15 pts/0    00:00:00 grep yum

But there is no process running with pid=2847 (I waited some minutes after the
ps command), but the file still contains the line "2847" 
Comment 3 Seth Vidal 2008-06-02 08:12:52 EDT
Umm, the first number after the user running the process is the pid. So:

/usr/bin/python /usr/share/PackageKit/helpers/yum/get-updates.py none

is the process locking yum


Note You need to log in before you can comment on or make changes to this bug.